Search Contacts
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact/Search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "Weyland"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: 'Weyland'})
};
fetch('https://api.virtuoussoftware.com/api/Contact/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Contact/Search"
payload = { "search": "Weyland" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Contact/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"search\": \"Weyland\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Contact/Search';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: 'Weyland'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"individualId": 200234,
"name": "Marcus Castellano",
"id": 100234,
"contactType": "Household",
"contactName": "Marcus Castellano",
"address": "219 Oak Hill Drive, Springfield, OR 97478",
"email": "marcus.castellano@example.org",
"phone": "(555) 012-3401",
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100234"
},
{
"individualId": 200456,
"name": "Priya Sharma",
"id": 100456,
"contactType": "Household",
"contactName": "Priya Sharma",
"address": "1542 Elmwood Lane, Springfield, OR 97477",
"email": "priya.sharma@example.org",
"phone": "(555) 012-3450",
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100456"
}
],
"total": 2
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}How to Get Contacts
Search Contacts
POST
/
api
/
Contact
/
Search
Search Contacts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Body
application/json
Last modified on July 24, 2026
Was this page helpful?
⌘I